<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@page import="com.namo.crossuploader.*"%>
<%@page import="java.io.*"%>
<%@page import="org.json.simple.JSONObject"%>

<%
	PrintWriter writer = response.getWriter();
	FileUpload fileUpload = new FileUpload(request, response); 
	
	try 
	{ 	
		// 파일을 저장할 경로를 설정합니다.
		String saveDirPath = request.getRealPath("/");
		saveDirPath += ("UploadDir" + File.separator);
		
		// saveDirPath에 지정한 경로에서 이전에 올린 파일 정보를 체크 합니다.
		fileUpload.startConfig(saveDirPath); 	
	}
	catch(CrossUploaderException ex) 
	{
		response.setStatus(response.SC_INTERNAL_SERVER_ERROR);
	}
	catch(Exception ex) 
	{ 
		// 업로드 외 로직에서 예외 발생시 업로드 중인 모든 파일을 삭제합니다. 
		fileUpload.deleteUploadedFiles(); 
		response.setStatus(response.SC_INTERNAL_SERVER_ERROR);
	}
	finally 
	{ 
		// 파일 업로드 객체에서 사용한 자원을 해제합니다. 
		fileUpload.clear(); 
	}
%>

